Name:           SDL_sound
Version:        1.0.3
Release:        23
Summary:        Library handling decoding of several popular sound file formats
License:        LGPLv2+
URL:            http://www.icculus.org/SDL_sound
Source0:        http://www.icculus.org/SDL_sound/downloads/SDL_sound-1.0.3.tar.gz
BuildRequires:  SDL-devel flac-devel speex-devel libvorbis-devel libogg-devel
BuildRequires:  mikmod-devel libmodplug-devel physfs-devel doxygen
Provides:       bundled(mpglib) bundled(mpg123-libs)

%description
The function is to make the sound playback task easier. The programmer provides
a file name for SDL_sound or provides data directly from one of them, and then
reads back the decoded waveform data when idle.

%package        devel
Summary:        Development files for SDL-devel
Requires:       %{name} = %{version}-%{release} SDL-devel

%description    devel
This package contains the headers and libraries for SDL_sound development.

%package        help
Summary:        help for SDL_sound

%description help
The help package contains manual pages and other related files for SDL_sound.

%prep
%autosetup -p1
rm -rf PBProjects.tar.gz
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

%build
export CFLAGS="$RPM_OPT_FLAGS -D__EXPORT__= -Wno-pointer-sign -Wno-deprecated-declarations"
%configure --disable-dependency-tracking --disable-static \
    --disable-smpeg --enable-mpglib --enable-mikmod --enable-ogg \
    --enable-modplug --enable-speex --enable-flac --enable-midi
%make_build
doxygen Doxyfile

%install
%make_install

cp -a docs/man/man3 man3
cd man3

mv buffer.3 Sound_Sample::buffer.3
mv buffer_size.3 Sound_Sameple::buffer_size.3
mv description.3 Sound_DecoderInfo::description.3
mv desired.3 Sound_Sample::desired.3
mv actual.3 Sound_Sample::actual.3
mv flags.3 Sound_Sample::flags.3
mv format.3 Sound_AudioInfo::format.3
mv channels.3 Sound_AudioInfo::channels.3
mv decoder.3 Sound_Sample::decoder.3
mv patch.3 Sound_Version::patch.3
mv rate.3 Sound_AudioInfo::rate.3
mv url.3 Sound_DecoderInfo::url.3
mv author.3 Sound_DecoderInfo::author.3
mv extensions.3 Sound_DecoderInfo::extensions.3
mv major.3 Sound_Version::major.3
mv minor.3 Sound_Version::minor.3
mv opaque.3 Sound_Sample::opaque.3
cd -

mkdir -p $RPM_BUILD_ROOT/%{_mandir}
mv man3 $RPM_BUILD_ROOT/%{_mandir}

%delete_la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%license COPYING
%{_bindir}/playsound*
%{_libdir}/libSDL_sound-1.0.so.*

%files devel
%{_libdir}/libSDL_sound*.so
%{_includedir}/SDL/SDL_sound.h

%files help
%doc README TODO docs/html
%{_mandir}/man3/*

%changelog
* Thu Nov 21 2019 wangye<wangye54@huawei.com> - 1.0.3-23
- Package init
